<div class="position">
    <div class="container">
        <button class=" btn btn-outline-dark  divbutton col-12" (click)="fnShowChat()"> Chat</button>
        <div class="scroll" id="scrll" *ngIf="!blnHideChat">
            <ng-container *ngFor="let message of messages | async">
                <div class="row" [ngClass]="{'bot': message.sentBy === 'bot', 'user': message.sentBy === 'user'}">
                    <div class="col-2" *ngIf="message.sentBy === 'bot'">
                        <img src="../../../assets/bot.png" alt="Avatar" class="imgbot">
                    </div>
                    <div class="col-10 textobot" *ngIf="message.sentBy === 'bot'">
                        {{message.content}}
                    </div>
                    <div class="col-10 textouser" *ngIf="message.sentBy === 'user'">
                        {{message.content}}
                    </div>
                    <div class="col-2" *ngIf="message.sentBy === 'user'">
                        <img  src="../../../assets/person.png" alt="Avatar" class="imguser">
                    </div>
                </div>
            </ng-container>
        </div>
        <div class="row divbutton">
            <input class="col-9" [(ngModel)]="formValue" (keyup.enter)="sendMessagge()" type="text"><br>
            <button type="button" class="btn btn-dark col-3" (click)="sendMessagge()">Send</button>
        </div>
    </div>
</div>